package ch.rakudave.jnetmap.plugins;

import ch.rakudave.jnetmap.model.device.Device;

/**
 * @author rakudave
 */
public interface RightClickAction extends Plugin {
	
	/**
	 * This function will be executed when a user right-clicks a device and selects this plugin.
	 * @param d that device that was right-clicked, use this to extract the address etc.
	 */
	public void execute(Device d);
}
